<nz-table #warsTable [nzData]="list" [nzLoading]="isLoading" nzSize="small" nzHideOnSinglePage="true">
    <thead>
        <tr>
            <th nzAlign="center">{{ 'Military.Battles.Attacker' | translate }}</th>
            <th nzAlign="center">{{ 'Military.Battles.Defender' | translate }}</th>
            <th nzAlign="center">{{ 'Military.Battles.Status' | translate }}</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let item of warsTable.data" style="text-align: center;">
            <td>
                <a [routerLink]="['/country', item.attackerCountry?.id]">
                    <img [src]="item.attackerCountry?.flagLocation" width="30" height="20" style="margin-right: 10px; margin-bottom: 3px;" />
                    {{ item.attackerCountry?.name | translate }}
                </a>
            </td>
            <td>
                <a [routerLink]="['/country', item.attackerCountry?.id]">
                    <img [src]="item.attackerCountry?.flagLocation" width="30" height="20"
                        style="margin-right: 10px; margin-bottom: 3px;" />
                    {{ item.attackerCountry?.name | translate }}
                </a>
            </td>
            <td>
                <nz-tag *ngIf="item.isCivilWar">{{'Military.Wars.CivilWar' | translate }}</nz-tag>
                <nz-tag *ngIf="item.isResistance">{{ 'Military.Battles.Resistance' | translate }}</nz-tag>

                <nz-tag *ngIf="!item.winnerId" nzColor="processing">{{ 'Military.Battles.Ongoing' | translate }}...</nz-tag>
                <nz-tag *ngIf="item.winnerId && !item.isCivilWar && !item.isResistance"
                    [nzColor]="item.winnerId === item.attackerCountry.id ? 'red' : 'green'">{{ 'Common.Finished' | translate }}</nz-tag>

                <nz-tag *ngIf="item.winnerId && (item.isCivilWar || item.isResistance)"
                    [nzColor]="item.warSize < 0 ? 'red' : 'green'">{{ 'Common.Finished' | translate }}</nz-tag>
            </td>
            <td>
                <button nz-button nzShape="round" nzType="default" [routerLink]="['/battle', item.id]" nzShape="round" nzSize="small">
                    <span nz-icon nzType="eye" nzTheme="outline"></span>
                </button>
            </td>
        </tr>
    </tbody>
</nz-table>